Cancela uma operação
curl --request POST \
--url https://api.example.com/api/services/app/Operacoes/Cancelar \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.example.com/api/services/app/Operacoes/Cancelar"
payload = { "code": "<string>" }
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.example.com/api/services/app/Operacoes/Cancelar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Operacoes/Cancelar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Operacoes/Cancelar"
payload := strings.NewReader("{\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/services/app/Operacoes/Cancelar")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Operacoes/Cancelar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyOperações
Cancela uma operação
POST
/
api
/
services
/
app
/
Operacoes
/
Cancelar
Cancela uma operação
curl --request POST \
--url https://api.example.com/api/services/app/Operacoes/Cancelar \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.example.com/api/services/app/Operacoes/Cancelar"
payload = { "code": "<string>" }
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.example.com/api/services/app/Operacoes/Cancelar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Operacoes/Cancelar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Operacoes/Cancelar"
payload := strings.NewReader("{\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/services/app/Operacoes/Cancelar")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Operacoes/Cancelar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyTransversal. Cancela uma operação pelo
code (quando permitido pelo status atual).
Na Operação de Crédito, uma operação paga, finalizada ou já cancelada não pode ser cancelada (“Proposta paga ou já cancelada não pode ser cancelada.”). Numa loja com cobrança habilitada, cancelar também baixa os boletos em aberto da operação.
curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/Operacoes/Cancelar" \
-H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \
-d '{ "code": "ABC123" }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Dados para cancelamento
Dados para cancelamento de uma operação.
Código público da operação a ser cancelada.
Response
200
OK